FROM php:8.1-apache

ENV TZ=America/Sao_Paulo

RUN a2enmod rewrite

RUN apt-get update && apt-get install -y \
    libicu-dev \
    libzip-dev \
    libjpeg-dev \
    libpng-dev \
    libfreetype6-dev \
    unzip \
    git \
    zip \
    && docker-php-ext-configure gd --with-freetype --with-jpeg \
    && docker-php-ext-install intl zip pdo pdo_mysql mbstring gd \
    && apt-get clean

WORKDIR /var/www/html

RUN echo "DirectoryIndex login.php index.php" > /etc/apache2/conf-available/directoryindex.conf && \
    a2enconf directoryindex

COPY app.zip /var/www/html/
RUN unzip -o app.zip && rm app.zip

RUN chown -R www-data:www-data /var/www/html

EXPOSE 80

CMD ["apache2-foreground"]
